#!wish84.exe
#
# Simple minded installation script for Oratcl on Windows
#
# Benjamin Lewis, April 2001.
#

package require Tk

set targetTop [file dirname [info lib]]
set targetBin [file join $targetTop .. bin]
set OraTclDir [file join $targetTop oratcl4.1]

wm title . "Oratcl Installation -- Status"
 
text .status -width 80 -height 24
pack .status

set oktogo [tk_dialog .confirm "Install Oratcl" \
	"Install Oratcl in directory ${targetTop}?" \
	question 0 "Ok" "Cancel"]

if {$oktogo != 0} {
	exit
} else {
	set oktogo true
}

focus -force .status

if {[file exists $OraTclDir] || \
    [file exists [file join $targetTop oratcl41.dll]]} {
	set oktogo [tk_dialog .confirm "Overwrite existing installation?" \
		    [concat "There seems to be an installation of Oratcl4.1 " \
		            "already present in ${targetTop}.  Overwrite?"] \
		    question 1 "Overwrite" "Cancel"]
	if {$oktogo > 1} {
		exit
	} else {
		set oktogo true
	}
}

.status insert end "Will copy oratcl41.dll to $targetTop, library files to $OraTclDir\n\n"


set retVal {}

.status insert end "Copying oratcl41.dll ... "
catch { 
	file copy -force oratcl41.dll $targetTop
} retVal

if {[string length $retVal] > 0} {
	.status insert end "\n $retVal\n\n"
	set oktogo false
} else {
	.status insert end "complete.\n\n"
}

if {$oktogo} {
	.status insert end "Creating oratcl4.1 directory ... "
	catch { 
		file mkdir $OraTclDir
	} retVal

	if {[string length $retVal] > 0} {
		.status insert end "\n $retVal\n\n"
		set oktogo false
	} else {
		.status insert end "complete.\n\n"
	}
}

if {$oktogo} {
	.status insert end "Copying pkgIndex.tcl ..."
	catch {
		file copy -force pkgIndex.tcl $OraTclDir
	} retVal

	if {[string length $retVal] > 0} {
		.status insert end "\n $retVal\n\n"
		set oktogo false
	} else {
		.status insert end "  pkgIndex.tcl  "
	}
}

if {$oktogo} {
	.status insert end "Copying msvcr70.dll ..."
	catch {
		file copy -force msvcr70.dll $targetBin
	} retVal

	if {[string length $retVal] > 0} {
		.status insert end "\n $retVal\n\n"
		set oktogo false
	} else {
		.status insert end "  msvcr70.dll  "
	}
}

if {$oktogo} {
	.status insert end "Installation complete.\n\n"
} else {
	.status insert end "Installation failed with errors.\n\n"
} 
.status window create end -create {button .done -text "Exit" -command {exit}}

.status configure -state disabled


